From 4a69d9851e7bbd7cd521d236847af9ebf5e6253b Mon Sep 17 00:00:00 2001
From: Wolfgang Walther <walther@technowledgy.de>
Date: Sun, 31 Mar 2024 15:17:43 +0200
Subject: [PATCH] Build SanityCheck against musl

---
 .cirrus.tasks.yml | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index 72f553e69f4..5815c51abbe 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -69,6 +69,7 @@ task:
     CCACHE_DIR: ${CIRRUS_WORKING_DIR}/ccache_dir
     # no options enabled, should be small
     CCACHE_MAXSIZE: "150M"
+    CC: ccache musl-gcc
 
   # While containers would start up a bit quicker, building is a bit
   # slower. This way we don't have to maintain a container image.
@@ -77,6 +78,14 @@ task:
   ccache_cache:
     folder: $CCACHE_DIR
 
+  setup_additional_packages_script: |
+    apt-get update
+    DEBIAN_FRONTEND=noninteractive apt-get -y install musl-tools
+    ln -s -t /usr/include/x86_64-linux-musl/ \
+      /usr/include/linux \
+      /usr/include/asm-generic \
+      /usr/include/x86_64-linux-gnu/asm
+
   create_user_script: |
     useradd -m postgres
     chown -R postgres:postgres .
-- 
2.44.0

